public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/
Date: Thu, 28 Jul 2016 20:40:15 +0000 (UTC)	[thread overview]
Message-ID: <1469738391.8c46ca63853a3da95a58f5488130294ee0f1c8a0.slyfox@gentoo> (raw)

commit:     8c46ca63853a3da95a58f5488130294ee0f1c8a0
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 28 20:39:33 2016 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Jul 28 20:39:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c46ca63

dev-lang/nim: new package, bug #535938 by Stefan Talpalaru

Compiled via C statically typed modern language.

This ebuild is a slightly regreshed version written
by Stefan Talpalaru.

Bug: https://bugs.gentoo.org/535938

Package-Manager: portage-2.3.0

 dev-lang/nim/Manifest          |  1 +
 dev-lang/nim/metadata.xml      | 11 +++++++++
 dev-lang/nim/nim-0.14.2.ebuild | 55 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+)

diff --git a/dev-lang/nim/Manifest b/dev-lang/nim/Manifest
new file mode 100644
index 0000000..651229b
--- /dev/null
+++ b/dev-lang/nim/Manifest
@@ -0,0 +1 @@
+DIST nim-0.14.2.tar.xz 4778444 SHA256 8f8d38d70ed57164795fc55e19de4c11488fcd31dbe42094e44a92a23e3f5e92 SHA512 34afd07fafd066f6b4acc423c21e1cc275dce00f575d01f0d1edc147946930cf13c772abe0c4a081e2e0091ad41f6ae5cead20cc4d9a7cb3bc628ad7469f6459 WHIRLPOOL 7109f28fd8e0e83a386e9a26b46a3fbb2ad9cc0c8736107fe7eb573c301768d0c3d149407657478431f8107a539cb18bb6db5ce0e0de6e96e25769dfec43a2df

diff --git a/dev-lang/nim/metadata.xml b/dev-lang/nim/metadata.xml
new file mode 100644
index 0000000..b7796e3
--- /dev/null
+++ b/dev-lang/nim/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>slyfox@gentoo.org</email>
+		<name>Sergei Trofimovich</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">nim-lang/Nim</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-lang/nim/nim-0.14.2.ebuild b/dev-lang/nim/nim-0.14.2.ebuild
new file mode 100644
index 0000000..005344b
--- /dev/null
+++ b/dev-lang/nim/nim-0.14.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+
+MY_PN=Nim
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="compiled, garbage-collected systems programming language"
+HOMEPAGE="http://nim-lang.org/"
+SRC_URI="http://nim-lang.org/download/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc +readline test"
+
+DEPEND="
+	readline? ( sys-libs/readline:0= )
+"
+RDEPEND="${DEPEND}"
+
+nim_use_enable() {
+	[[ -z $2 ]] && die "usage: nim_use_enable <USE flag> <compiler flag>"
+	use $1 && echo "-d:$2"
+}
+
+src_compile() {
+	./build.sh || die "build.sh failed"
+
+	./bin/nim c koch || die "csources nim failed"
+	./koch boot -d:release $(nim_use_enable readline useGnuReadline) || die "koch boot failed"
+
+	if use doc; then
+		PATH="./bin:$PATH" ./koch web || die "koch web failed"
+	fi
+}
+
+src_test() {
+	PATH="./bin:$PATH" ./koch test || die "test suire failed"
+}
+
+src_install() {
+	./koch install "${D}/usr" || die "koch install failed"
+	rm -r "${D}/usr/nim/doc"
+
+	dodir /usr/bin
+	dosym ../nim/bin/nim /usr/bin/nim
+
+	if use doc; then
+		insinto /usr/share/doc/${PF}
+		dodoc doc/*.html
+	fi
+}


             reply	other threads:[~2016-07-28 20:40 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-28 20:40 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-07-28 20:42 [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/ Sergei Trofimovich
2016-10-01  9:25 Sergei Trofimovich
2016-10-24 21:13 Sergei Trofimovich
2016-10-24 21:33 Sergei Trofimovich
2017-01-11  6:09 Sergei Trofimovich
2017-01-22 11:40 Sergei Trofimovich
2017-05-18 20:23 Sergei Trofimovich
2017-07-04 21:56 Sergei Trofimovich
2017-09-09  9:43 Sergei Trofimovich
2017-10-09 19:21 Sergei Trofimovich
2017-10-10  9:51 Sergei Trofimovich
2018-03-02 20:52 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 17:06 Sergei Trofimovich
2018-03-11 14:39 Sergei Trofimovich
2018-09-28 21:32 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2019-02-02 18:08 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-07-17 21:14 Sergei Trofimovich
2019-09-23 22:51 Sergei Trofimovich
2019-11-09 15:49 Sergei Trofimovich
2019-11-09 15:59 Sergei Trofimovich
2019-11-27 23:56 Sergei Trofimovich
2020-01-29  0:12 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2020-02-26 17:39 Sergei Trofimovich
2020-04-04 20:18 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-05-24 22:10 Sergei Trofimovich
2020-06-17 21:47 Sergei Trofimovich
2020-06-20 19:49 Sergei Trofimovich
2020-06-27 18:49 Sergei Trofimovich
2020-06-28 22:43 Sergei Trofimovich
2020-07-31 22:53 Sergei Trofimovich
2020-08-01 15:35 Sergei Trofimovich
2020-10-16 21:12 Sergei Trofimovich
2020-10-18 12:31 Sergei Trofimovich
2020-12-04  0:35 Sergei Trofimovich
2020-12-04 15:27 Sergei Trofimovich
2020-12-04 20:58 Sergei Trofimovich
2020-12-12 21:30 Sergei Trofimovich
2021-02-24  8:16 Sergei Trofimovich
2021-02-26 10:25 Sergei Trofimovich
2021-04-16 19:18 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-05-25 22:47 Sergei Trofimovich
2021-06-05 10:50 Sergei Trofimovich
2021-07-02  7:17 Sergei Trofimovich
2021-12-25 20:03 Maciej Barć
2021-12-25 20:03 Maciej Barć
2021-12-25 20:28 Maciej Barć
2021-12-25 20:31 Maciej Barć
2022-02-16 11:33 Maciej Barć
2022-03-10 23:12 Sam James
2022-05-06 20:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-11-24  4:13 Maciej Barć
2023-01-03 20:30 Maciej Barć
2023-01-03 20:30 Maciej Barć
2023-02-26 18:27 Arthur Zamarin
2023-02-28 18:03 Maciej Barć
2023-03-11  8:02 Maciej Barć
2023-03-11  8:02 Maciej Barć
2023-04-12  1:50 Sam James
2023-05-05 12:03 Maciej Barć
2023-08-01 18:53 Maciej Barć
2023-08-01 18:53 Maciej Barć
2023-08-12  7:52 Arthur Zamarin
2023-09-02 13:08 Maciej Barć
2024-04-17 22:10 Maciej Barć
2024-04-19 12:44 Maciej Barć
2024-05-24  0:34 Sam James
2024-07-21 20:33 Arthur Zamarin
2024-08-08 11:03 Maciej Barć
2024-08-08 11:03 Maciej Barć
2024-08-08 12:06 Maciej Barć
2024-09-11 23:59 Sam James
2024-10-02  9:49 Maciej Barć
2024-10-05 21:44 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1469738391.8c46ca63853a3da95a58f5488130294ee0f1c8a0.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox